CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * How it works
 * Support requests


INTRODUCTION
------------

Social Auth Discord is a Discord authentication integration for
Drupal. It is based on the Social Auth and Social API projects

It adds to the site:

 * A new url: `/user/login/discord`.

 * A settings form at `/admin/config/social-api/social-auth/discord`.

 * A Discord logo in the Social Auth Login block.


REQUIREMENTS
------------

This module requires the following modules:

 * [Social Auth](https://drupal.org/project/social_auth)
 * [Social API](https://drupal.org/project/social_api)


INSTALLATION
------------

Install as you would normally install a contributed Drupal module. See
[Installing Modules](https://www.drupal.org/docs/extending-drupal/installing-modules)
for more details.


CONFIGURATION
-------------

In Drupal:

 1. Log in as an admin.

 2. Navigate to Configuration » User authentication » Discord and copy
    the Authorized redirect URI field value (the URL should end in
   `/user/login/discord/callback`).

In Discord:

 3. Log in to a Discord account.

 4. Navigate to https://discord.com/developers.

 5. Click New Application.

 6. Set the Application name as desired and Save.

 7. Click into the OAuth2 settings.

 8. Click Add Redirect.

 9. Paste the redirect URI value (from Step 2) and hit Save Changes.

 10. In the OAuth2 settings page, click Reset Secret.

 11. Copy the new secret key (Discord will not show it again!) and Client ID and
     save them somewhere safe.

In Drupal:

 12. Return to Configuration » User authentication » Discord

 13. Enter the Discord client ID in the Client ID field.

 14. Enter the Discord secret key in the Client secret field.

 15. Click Save configuration.

 16. Navigate to Structure » Block Layout and place a Social Auth login block
     somewhere on the site (if not already placed).

That's it! Log in with a Discord account to test the implementation.


HOW IT WORKS
------------

The user can click on the Discord logo in the Social Auth Login block.
You can also add a button or link anywhere on the site that points
to `/user/login/discord`, so theming and customizing the button or link
is very flexible.

After Discord has returned the user to your site, the module compares the
user id or email address provided by Discord. If the user has previously
registered using Discord or your site already has an account with the same
email address, the user is logged in. If not, a new user account is created.
Also, a Discord account can be associated with an authenticated user.


SUPPORT REQUESTS
----------------

* Before posting a support request, carefully read the installation
  instructions provided in module documentation page.

* Before posting a support request, check the Recent Log entries at
  admin/reports/dblog

* Once you have done this, you can post a support request at module issue
  queue: [https://www.drupal.org/project/issues/social_auth_discord](https://www.drupal.org/project/issues/social_auth_discord)

* When posting a support request, please inform if you were able to see any
  errors in the Recent Log entries.
