<?php

namespace Drupal\social_auth_discord\Plugin\Network;

use Drupal\social_auth\Plugin\Network\NetworkBase;
use Drupal\social_auth\Plugin\Network\NetworkInterface;

/**
 * Defines a Network Plugin for Social Auth Discord.
 *
 * @package Drupal\social_auth_discord\Plugin\Network
 *
 * @Network(
 *   id = "social_auth_discord",
 *   short_name = "discord",
 *   social_network = "Discord",
 *   img_path = "img/discord_logo.svg",
 *   type = "social_auth",
 *   class_name = "\Wohali\OAuth2\Client\Provider\Discord",
 *   auth_manager = "\Drupal\social_auth_discord\DiscordAuthManager",
 *   routes = {
 *     "redirect": "social_auth.network.redirect",
 *     "callback": "social_auth.network.callback",
 *     "settings_form": "social_auth.network.settings_form",
 *   },
 *   handlers = {
 *     "settings": {
 *       "class": "\Drupal\social_auth\Settings\SettingsBase",
 *       "config_id": "social_auth_discord.settings"
 *     }
 *   }
 * )
 */
class DiscordAuth extends NetworkBase implements NetworkInterface {
}
